Name:           python-m2ext
Version:        0.1
Release:        2.1
Summary:        M2Crypto Extensions
Group:          Development/Languages
License:        BSD-2-Clause
URL:            http://pypi.python.org/pypi/m2ext
Source0:        http://pypi.python.org/packages/source/m/m2ext/m2ext-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  libopenssl-devel
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  python-M2Crypto
BuildRequires:  fdupes
Requires:       python-M2Crypto

%description
This package contains some extended functions which are not (yet)
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>
trunk.

%prep
%setup -q -n m2ext-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
    LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --prefix=%{_prefix} --root %{buildroot}
chmod 755 %{buildroot}/%{python_sitearch}/m2ext/_m2ext.so
%fdupes %{buildroot}%{python_sitearch}

%files
%defattr(-,root,root)
%doc README.rst LICENSE
%{python_sitearch}/m2ext*


%changelog
* Thu Mar 24 2016 ejackson@suse.com
- Adding changelog
